package com.example.catchTheLetters.entity;

import com.example.catchTheLetters.enums.Status;
import com.example.catchTheLetters.model.vo.Letter;
import org.springframework.web.socket.WebSocketSession;

import java.util.ArrayList;
import java.util.List;

public class GameRoom {
    private List<WebSocketSession> players = new ArrayList<>();
    private Status status = Status.WAITING;

    public void addPlayer(WebSocketSession session) {
        players.add(session);
    }

    public void removePlayer(WebSocketSession session) {
        players.remove(session);
    }

    public void startGame() {
        status = Status.PLAYING;
    }

    public void endGame() {
        status = Status.END;
    }

    public void handleInput(WebSocketSession session, String input) {
        // 处理玩家输入
    }

    public Letter generateLetter() {
        // 生成字母
        return null;
    }
}
