package com.example.catchTheLetters.service;

import com.example.catchTheLetters.model.vo.Letter;
import org.springframework.web.socket.WebSocketSession;

public interface RoomService {
    void addPlayer(WebSocketSession session);

    void removePlayer(WebSocketSession session);

    void startGame();

    void endGame();

    void handleInput(WebSocketSession session, String input);

    Letter generateLetter();
}
